Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.webservice.binding
Class BindingInfo

    java.lang.Object
      weblogic.webservice.binding.BindingInfo

Direct Known Subclasses:
  HttpsBindingInfo, JMSBindingInfo

Deprecated. please migrate to jws for webservices

public class BindingInfo
extends Object

Binding information needed to create a Binding.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `DEFAULT_TRANSPORT` Deprecated.
`static String` | `SOAP11` Deprecated.
`static String` | `SOAP12` Deprecated.

Constructor Summary
`BindingInfo()` Deprecated. Constructs a new BindingInfo.

Method Summary
`String` | `getAcceptCharset()` Deprecated. Returns the character set that is being used for the response.
`String` | `getAddress()` Deprecated. Returns the address of the end point.
`String` | `getCharset()` Deprecated. Returns the character set that is being used for this request.
`int` | `getTimeout()` Deprecated. Returns the timeout in seconds that is being used for this request.
`String` | `getTransport()` Deprecated. Returns the transport used by this BindingInfo.
`boolean` | `isSoap12()` Deprecated. Returns whether this BindingInfo uses SOAP 1.2.
`boolean` | `isVerbose()` Deprecated. Checks to see whether the binding is in verbose mode.
`void` | `setAcceptCharset(String acceptCharset)` Deprecated. Sets the character set that should be used for the response.
`void` | `setAddress(String address)` Deprecated. Sets the address of the end point.
`void` | `setCharset(String charset)` Deprecated. Sets the character set that should be used for request.
`void` | `setTimeout(int timeout)` Deprecated. Sets the timeout in seconds that should be used for request.
`void` | `setVerbose(boolean verbose)` Deprecated. Sets verbose mode on or off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TRANSPORT

    public static final String DEFAULT_TRANSPORT

  Deprecated.
  See Also:
    Constant Field Values

### SOAP11

    public static final String SOAP11

  Deprecated.
  See Also:
    Constant Field Values

### SOAP12

    public static final String SOAP12

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### BindingInfo

    public BindingInfo()

  Deprecated.
  Constructs a new BindingInfo.

Method Detail

### getAcceptCharset

    public String getAcceptCharset()

  Deprecated.
  Returns the character set that is being used for the response.

  Returns:
    charset that is prefered for the response

### getAddress

    public String getAddress()

  Deprecated.
  Returns the address of the end point.

  Returns:
    end point address

### getCharset

    public String getCharset()

  Deprecated.
  Returns the character set that is being used for this request.

  Returns:
    charset

### getTimeout

    public int getTimeout()

  Deprecated.
  Returns the timeout in seconds that is being used for this request.

  Returns:
    timeout timeout in seconds

### getTransport

    public String getTransport()

  Deprecated.
  Returns the transport used by this BindingInfo.

  Returns:
    transport

### isSoap12

    public boolean isSoap12()

  Deprecated.
  Returns whether this BindingInfo uses SOAP 1.2.

  Returns:
    true if this binding info is soap 1.2

### isVerbose

    public boolean isVerbose()

  Deprecated.
  Checks to see whether the binding is in verbose mode.

  Returns:
    true is verbose is on

### setAcceptCharset

    public void setAcceptCharset(String acceptCharset)

  Deprecated.
  Sets the character set that should be used for the response.

  Parameters:
    `acceptCharset` - charset prefered for the response

### setAddress

    public void setAddress(String address)

  Deprecated.
  Sets the address of the end point.

  Parameters:
    `address` - end point address

### setCharset

    public void setCharset(String charset)

  Deprecated.
  Sets the character set that should be used for request.

  Parameters:
    `charset` - charset to set

### setTimeout

    public void setTimeout(int timeout)

  Deprecated.
  Sets the timeout in seconds that should be used for request.

  Parameters:
    `timeout` - timeout in seconds to set

### setVerbose

    public void setVerbose(boolean verbose)

  Deprecated.
  Sets verbose mode on or off.

  Parameters:
    `verbose` - true to set verbose on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD